> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cookiechimp.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete storage item

> Delete storage item by ID



## OpenAPI

````yaml delete /storage-items/{id}
openapi: 3.1.0
info:
  title: CookieChimp API
  description: API for CookieChimp.com
  version: 1.0.1
servers:
  - url: https://cookiechimp.com/api/v1
security:
  - authorization: []
paths:
  /storage-items/{id}:
    delete:
      tags:
        - Storage Items
      summary: Delete storage item
      description: Delete storage item by ID
      operationId: deleteStorageItem
      parameters:
        - $ref: '#/components/parameters/id'
      responses:
        '200':
          description: Storage item deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageItem'
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    id:
      name: id
      in: path
      description: ID of the resource
      required: true
      schema:
        type: string
  schemas:
    StorageItem:
      type: object
      allOf:
        - $ref: '#/components/schemas/StorageItemWrite'
      properties:
        id:
          type: string
          readOnly: true
          description: Unique identifier for the storage item
        last_seen_at:
          type: string
          format: date-time
          readOnly: true
        status:
          type: string
          enum:
            - draft
            - processing
            - in_review
            - finalised
          default: draft
          readOnly: true
        approved_by_type:
          type: string
          nullable: true
          readOnly: true
        approved_by_id:
          type: string
          nullable: true
          readOnly: true
        wildcard_cookie_id:
          type: string
          nullable: true
          readOnly: true
        is_wildcard_cookie:
          type: boolean
          readOnly: true
      example:
        company_name: Example Company Name
        description: Tracks user preferences.
        domain: www.example.com
        duration: 1 year
        last_seen_at: '2023-03-23T12:34:56Z'
        name: user-pref-cookie
        partitioned: false
        path: /
        same_site: Lax
        category_id: cat1
        status: finalised
        approved_by_type: AI
        wildcard_cookie_id: null
        id: user-pref-cookie
        is_wildcard_cookie: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
      example:
        error:
          code: 400
          message: Invalid request
    StorageItemWrite:
      type: object
      properties:
        name:
          type: string
          description: Name of the storage item
        description:
          type: string
          description: Description of the storage item that is displayed to users
        company_name:
          type: string
          description: Name of the company that owns the storage item
        domain:
          type: string
          description: Domain of the storage item
        duration:
          type: string
          description: Duration of the storage item
        partitioned:
          type: boolean
          description: Whether the storage item is partitioned
        path:
          type: string
          description: Path of the storage item
        same_site:
          type: string
          description: SameSite attribute of the storage item
        category_id:
          type: string
          description: ID of the storage item category
      required:
        - name
  securitySchemes:
    authorization:
      type: http
      scheme: bearer
      description: API token obtained from the login endpoint or the dashboard

````